Cypress.Commands.add('addItemToBasketFlow', () => {
    // 1- Seleccionar categoría
    cy.dataCy('catalogCategoryButton').should('exist');
    cy.get('[data-testid="catalogCategoryButton"]:first').click();
    // 2- Seleccionar familia
    cy.dataCy('catalogFamilySelect').should('exist');
    cy.selectOption('[data-testid="catalogFamilySelect"]', 'Anthurium');
    cy.getValue('[data-testid="catalogFamilySelect"]').should(
        'equal',
        'Anthurium'
    );
    cy.dataCy('catalogFamilySelect').should('exist');
    // 3- Seleccionar item
    cy.dataCy('catalogCardGridBody').should('exist');
    cy.get('[data-testid="catalogCardGridBody"]:first').click();
    // 4- Añadir item al carrito
    cy.dataCy('addItemQuantityButton').should('exist');
    cy.get('[data-testid="addItemQuantityButton"]:first').click();
    cy.dataCy('catalogAddToBasketButton').should('exist');
    cy.dataCy('catalogAddToBasketButton').click();
    cy.checkNotify('positive', 'Añadido');
});
