describe('CheckoutStepper', () => {
    before(() => {
        cy.resetDB();
    });

    beforeEach(() => {
        cy.login('employee');
    });

    it('Creates new order to receive', () => cy.createOrderReceiveFlow());

    it('Creates new pickup order', () => cy.createOrderPickupFlow());

    it('Modifies an order', () => {
        cy.createOrderReceiveFlow();
        cy.dataCy('orderModifyButton').click();
        cy.checkNotify(
            'warning',
            'Recuerda que si vuelves a configurar el pedido los precios o cantidades de tus artículos podrían cambiar'
        );
        cy.createOrderPickup(false);
        cy.checkNotify('positive', 'Pedido actualizado');
    });
});
