Cypress.Commands.add('changeUserNickname', (oldNickname, newNickname) => {
    cy.dataCy('configViewNickname').find('input').should('exist');

    cy.getValue('input[data-testid="configViewNickname"]').should(
        'equal',
        oldNickname
    );
    cy.dataCy('configViewNickname').find('input').clear();
    cy.dataCy('configViewNickname').find('input').type(newNickname);
    cy.dataCy('configViewNickname').find('input').blur();
    cy.checkNotify('positive', 'Datos guardados');
});
